#include "othello.h"

/* Cration de la fentre */
void fenetre_plateau(MlvType *ecran)
{
    int i;

    name_window("Othello",ecran);

    draw_filled_rectangle(0,0,TCASES*8,TCASES*8,"dark green",ecran); // Plateau
    draw_filled_rectangle(0,TCASES*8,TCASES*8/2,20,"black",ecran); // Score j1
    for ( i=TCASES ; i <= TCASES*8 ; i += TCASES )
    {
	// Cadrillage
	draw_line(i,0,i,TCASES*8,"black",ecran);
	draw_line(0,i,TCASES*8,i,"black",ecran);
    }
    
    display_window(ecran);
    
    return;
}

/* Affichage des scores */
void affichage_scores(MlvType *ecran, int sj1, int sj2)
{
    char *score;

    // On efface d'abord
    draw_filled_rectangle(0,TCASES*8,TCASES*8/2,20,"black",ecran);
    draw_filled_rectangle(TCASES*8/2,TCASES*8,TCASES*8/2,20,"white",ecran);

    // On imprime les scores
    asprintf(&score,"%d",sj1);
    draw_string(5,TCASES*8+15,score,FONT,"white",ecran);
    asprintf(&score,"%d",sj2);
    draw_string(TCASES*4+5,TCASES*8+15,score,FONT,"black",ecran);
    display_area(0,TCASES*8,TCASES*8,20,ecran);

    return;
}

/* Affichage du plateau de jeu */
void affichage(char plateau[8][8], MlvType *ecran)
{
    int i,j,x,y;
    
    // Affichage des pions
    for ( i=0 ; i < 8 ; i++ ) {
	y = (TCASES)*(i+1)-TCASES/2;
	for ( j=0 ; j < 8 ; j++ ) {
	    x = (TCASES)*(j+1)-TCASES/2;
	    switch(plateau[i][j])
	    {
		case 1:
		    draw_filled_circle(x,y,TCASES/2-(int)((float)TCASES/100*8),
				       "black",ecran);
		    break;
		case 2:
		    draw_filled_circle(x,y,TCASES/2-(int)((float)TCASES/100*8),
				       "white",ecran);
		    break;
	    }
	    display_area(x-TCASES/2,y-TCASES/2,TCASES,TCASES,ecran);
	}
    }
    
    return;
}

/* Affichage d'une ligne indiquant  qui de jouer */
void affichage_joueur(int joueur, MlvType *ecran)
{
    if ( joueur == 1 )
	draw_line(1,TCASES*8+19,TCASES*4-1,TCASES*8+19,"red",ecran);
    else
	draw_line(TCASES*4+1,TCASES*8+18,TCASES*8-2,TCASES*8+18,"red",ecran);
    display_window(ecran);
    return;
}

/* Game Over */
void gameover(MlvType *ecran)
{
    int x,y;
    draw_string(5,TCASES*8-5,"GAME OVER",FONT,"red",ecran);
    display_window(ecran);
    mouse_wait(&x,&y,ecran);
}


